package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamStudent;

public interface ExamStudentRepo
		extends
			JpaRepository<ExamStudent, Long>,
			QueryByExampleExecutor<ExamStudent>,
			JpaSpecificationExecutor<ExamStudent> {

	List<ExamStudent> findByStudentId(Long examId);

	List<ExamStudent> findByIdIn(List<Long> ids);

	@Modifying
	@Query("delete from ExamStudent s where s.exam.id = ?1")
	void deleteByExamId(Long examId);

	ExamStudent findByExamIdAndStudentIdAndCourseId(Long examId, Long studentId, Long courseId);
}
